Subject: bug#19220: GRUB fails to find the ‘bzImage’ file when ‘/boot’ is on a separate partition

From: [email-masked] (Ludovic Courtès)
Date: Tue, 09 Dec 2014 11:09:20 +0100

Nikita Karetnikov <[email-masked]> skribis:

>> I believe this fixes the problem.
>
> Unfortunately, it makes things worse.  Now GRUB doesn’t even bother to
> show the menu; I get straight into the GRUB shell.

I realized that commit 39d1f82, which fixed another bug, introduced a
regression causing this: it made /boot/grub/grub.cfg a symlink to the
store, which does not work when /boot is a separate partition.

Commit 6412e58 fixes that.

Could you retry with Guix master after 6412e58, and with the patch I
gave earlier in this thread?

Thanks in advance,
Ludo’.